summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-03 23:08:17 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-03 23:08:17 +0000
commit500a4cf00a1a5cfdbc8eb2a6c447ff7a013207bc (patch)
tree58e70cc14ecb5f909bc840fe385bce88cc41783e /jenkins
parentd214b302e88b236cf90832bdbdfd02721efebe71 (diff)
onsuccess: #783: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1229
-rw-r--r--jenkins/notify-init.log327
-rw-r--r--jenkins/rewrite.log20
-rw-r--r--jenkins/run-build.env6
5 files changed, 1346 insertions, 238 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index acec40b..40caa2f 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#782-glibc-R1
+#783-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 28b0833..0024bec 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -d: -f 1
+ host=tcwg-jade-05
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 4
-+ opts=-p52679
++ opts=-p52774
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p52679 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p52774 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -87,15 +87,15 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/781/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/781/'
-+ echo '# Using dir : base-artifacts'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/'
++ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/'
# Using dir : artifacts
+ echo '# Using dir : artifacts'
@@ -104,10 +104,10 @@
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
-# check_source_changes
+ '[' ignore = precommit ']'
+ check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xac79930498d1fa8a85f367c8e21cd2abbfa5bebb '!=' x9fd3409842b3e2d31cff5dbd6f96066c430f0aa2 ']'
+++ '[' xf957f47df75b9fab995754011491edebc6feb147 '!=' xac79930498d1fa8a85f367c8e21cd2abbfa5bebb ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ first_bad=f957f47df75b9fab995754011491edebc6feb147
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ last_good=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
+ local res
+ res=0
-+ wait 57087
++ wait 69013
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ git -C glibc rev-parse 'ac79930498d1fa8a85f367c8e21cd2abbfa5bebb^@'
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+++ git -C glibc rev-parse 'f957f47df75b9fab995754011491edebc6feb147^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' d3476c20b29782453aa5d432a62eed4dde7d6269 = 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2 ']'
-+ return 1
-+ change_kind=single_component
++ '[' ac79930498d1fa8a85f367c8e21cd2abbfa5bebb = ac79930498d1fa8a85f367c8e21cd2abbfa5bebb ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ git -C glibc rev-list --count 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ c_commits=8
-# rev for glibc : 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb (8 commits)
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+++ git -C glibc rev-list --count ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147
++ c_commits=1
+# rev for glibc : ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147 (1 commits)
++ echo '# rev for glibc : ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147 (1 commits)'
-+ echo '# rev for glibc : 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb (8 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -232,11 +232,264 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 69093
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=2bb3a72fd
+++ '[' 0 -ne 0 ']'
+++ echo 2bb3a72fd
++ sha1=2bb3a72fd
++ git -C interesting-commits checkout --detach 2bb3a72fd
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 33207d26e Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 33207d26e
+
+HEAD is now at 2bb3a72fd Add entry 1c6fdbd8f2465ddfb73a01ec620cbf3d14044e1a from https://ci.linaro.org/job/tcwg_kernel--llvm-master-aarch64-mainline-allyesconfig-build/102/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ subdir3=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++ subdir4=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147 ']'
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/'
+[detached HEAD aff4879ad] Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
++ wait 81283
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -245,15 +498,578 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ isubdir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 81353
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=2bb3a72fd
+++ '[' 0 -ne 0 ']'
+++ echo 2bb3a72fd
++ sha1=2bb3a72fd
++ git -C interesting-commits checkout --detach 2bb3a72fd
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ aff4879ad Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> aff4879ad
+
+HEAD is now at 2bb3a72fd Add entry 1c6fdbd8f2465ddfb73a01ec620cbf3d14044e1a from https://ci.linaro.org/job/tcwg_kernel--llvm-master-aarch64-mainline-allyesconfig-build/102/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ subdir3=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++ subdir4=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147 ']'
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc f957f47df75b9fab995754011491edebc6feb147 true
+++ local component=glibc
+++ local sha1=f957f47df75b9fab995754011491edebc6feb147
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f957f47df75b9fab995754011491edebc6feb147
++ describe=glibc-2.38.9000-233-gf957f47df7
+++ echo glibc-2.38.9000-233-gf957f47df7
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-233-gf957f47df7
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-233-gf957f47df7'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.OFKafdFkaB
++ git -C glibc log -n1 f957f47df75b9fab995754011491edebc6feb147
++ tail -n +2
++ head -n 10 /tmp/tmp.OFKafdFkaB
+++ cat /tmp/tmp.OFKafdFkaB
+++ wc -l
++ more_lines=32
++ '[' 32 -gt 0 ']'
++ echo '... 32 lines of the commit log omitted.'
++ rm /tmp/tmp.OFKafdFkaB
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira ']'
++ mkdir interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f957f47df75b9fab995754011491edebc6feb147 true
++++ local component=glibc
++++ local sha1=f957f47df75b9fab995754011491edebc6feb147
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f957f47df75b9fab995754011491edebc6feb147
+++ describe=glibc-2.38.9000-233-gf957f47df7
++++ echo glibc-2.38.9000-233-gf957f47df7
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-233-gf957f47df7
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-233-gf957f47df7
+++ return 0
+++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status-summary.txt
++ echo glibc-2.38.9000-233-gf957f47df7: Success
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/commit-log.txt
+++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status.txt
+++ print_icommits_link glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/yaml
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso f957f47df75b9fab995754011491edebc6feb147
++ commit_date='2023-11-03 15:19:38 -0300'
++ date -d '2023-11-03 15:19:38 -0300' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
+++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc f957f47df75b9fab995754011491edebc6feb147 false
+++ local component=glibc
+++ local sha1=f957f47df75b9fab995754011491edebc6feb147
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f957f47df75b9fab995754011491edebc6feb147
++ describe=glibc-2.38.9000-233-gf957f47df7
++ '[' glibc-2.38.9000-233-gf957f47df7 '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-233-gf957f47df7
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/f957f47df75b9fab995754011491edebc6feb147
++ rm -f interesting-commits/glibc/glibc-2.38.9000-233-gf957f47df7
++ ln -s sha1/f957f47df75b9fab995754011491edebc6feb147 interesting-commits/glibc/glibc-2.38.9000-233-gf957f47df7
++ git -C interesting-commits add glibc/glibc-2.38.9000-233-gf957f47df7
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/'
+[detached HEAD 957e43953] Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+ 17 files changed, 84 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-233-gf957f47df7
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/commit-log.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/components
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/description
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/startdate
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/summary
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status-summary.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/status.txt
++ wait 93860
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -263,11 +1079,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ isubdir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ icommit_entry=interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ '[' interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira ']'
++ rsync -a interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -291,9 +1119,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -316,29 +1144,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ read -r email
-++ git -C glibc log --pretty=%ae 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+ read -r email
+++ git -C glibc log --pretty=%ae ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -349,29 +1163,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ read -r email
-++ git -C glibc log --pretty=%ce 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+ read -r email
+++ git -C glibc log --pretty=%ce ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -385,62 +1185,47 @@
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=bcc
++ type=cc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=to
++ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$email")
++ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,joseph@codesourcery.com,maxim.kuvyrkov@linaro.org,adhemerval.zanella@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,cc:sergiodj@sergiodj.net,bcc:tcwg-validation@linaro.org,adhemerval.zanella@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+++ git -C glibc rev-list --count 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ c_commits=8
-++ new_commits=8
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '8 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f957f47df75b9fab995754011491edebc6feb147 true
++++ local component=glibc
++++ local sha1=f957f47df75b9fab995754011491edebc6feb147
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f957f47df75b9fab995754011491edebc6feb147
+++ describe=glibc-2.38.9000-233-gf957f47df7
++++ echo glibc-2.38.9000-233-gf957f47df7
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-233-gf957f47df7
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-233-gf957f47df7
++ return 0
++ gnu_print_result --oneline
++ false
@@ -455,7 +1240,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -477,21 +1262,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '8 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-233-gf957f47df7: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/781/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -513,57 +1298,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+++ git -C glibc rev-list --count 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ c_commits=8
-++ new_commits=8
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '8 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f957f47df75b9fab995754011491edebc6feb147 true
++++ local component=glibc
++++ local sha1=f957f47df75b9fab995754011491edebc6feb147
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f957f47df75b9fab995754011491edebc6feb147
+++ describe=glibc-2.38.9000-233-gf957f47df7
++++ echo glibc-2.38.9000-233-gf957f47df7
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-233-gf957f47df7
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+++ git -C glibc rev-list --count 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ c_commits=8
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ '[' 8 -gt 5 ']'
-++ echo '... and 3 more commits in glibc'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-233-gf957f47df7'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.LphZbjBOAt
+++ git -C glibc log -n1 f957f47df75b9fab995754011491edebc6feb147
+++ tail -n +2
+++ head -n 10 /tmp/tmp.LphZbjBOAt
++++ cat /tmp/tmp.LphZbjBOAt
++++ wc -l
+++ more_lines=32
+++ '[' 32 -gt 0 ']'
+++ echo '... 32 lines of the commit log omitted.'
+++ rm /tmp/tmp.LphZbjBOAt
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -594,7 +1362,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -615,38 +1383,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
+++ '[' -f interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f957f47df75b9fab995754011491edebc6feb147'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ isubdir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
-# post_dashboard_squad
-... Skipping
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 57231
++ wait 93983
+ set -euf -o pipefail
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -660,8 +1513,8 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 47f8dc8..fa0a21a 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -d: -f 1
+ host=tcwg-jade-05
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 4
-+ opts=-p52679
++ opts=-p52774
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p52679 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p52774 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -87,26 +87,26 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/781/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/781/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/782/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xac79930498d1fa8a85f367c8e21cd2abbfa5bebb '!=' x9fd3409842b3e2d31cff5dbd6f96066c430f0aa2 ']'
+++ '[' xf957f47df75b9fab995754011491edebc6feb147 '!=' xac79930498d1fa8a85f367c8e21cd2abbfa5bebb ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ first_bad=f957f47df75b9fab995754011491edebc6feb147
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ last_good=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
+ local res
+ res=0
-+ wait 56974
++ wait 56641
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ git -C glibc rev-parse 'ac79930498d1fa8a85f367c8e21cd2abbfa5bebb^@'
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+++ git -C glibc rev-parse 'f957f47df75b9fab995754011491edebc6feb147^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' d3476c20b29782453aa5d432a62eed4dde7d6269 = 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2 ']'
-+ return 1
-+ change_kind=single_component
++ '[' ac79930498d1fa8a85f367c8e21cd2abbfa5bebb = ac79930498d1fa8a85f367c8e21cd2abbfa5bebb ']'
++ return 0
++ change_kind=single_commit
+ echo '# Debug traces :'
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
++ base_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-++ git -C glibc rev-list --count 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
-+ c_commits=8
-+ echo '# rev for glibc : 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb (8 commits)'
-# rev for glibc : 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2..ac79930498d1fa8a85f367c8e21cd2abbfa5bebb (8 commits)
++ cur_rev=f957f47df75b9fab995754011491edebc6feb147
+++ git -C glibc rev-list --count ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147
++ c_commits=1
+# rev for glibc : ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147 (1 commits)
++ echo '# rev for glibc : ac79930498d1fa8a85f367c8e21cd2abbfa5bebb..f957f47df75b9fab995754011491edebc6feb147 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -235,8 +235,263 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 56721
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=2bb3a72fd
+++ '[' 0 -ne 0 ']'
+++ echo 2bb3a72fd
++ sha1=2bb3a72fd
++ git -C interesting-commits checkout --detach 2bb3a72fd
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ b5c79de6e Add entry 268109cad16c692e24a583c21ef5a8ac58cc51fe from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/426/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> b5c79de6e
+
+HEAD is now at 2bb3a72fd Add entry 1c6fdbd8f2465ddfb73a01ec620cbf3d14044e1a from https://ci.linaro.org/job/tcwg_kernel--llvm-master-aarch64-mainline-allyesconfig-build/102/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ jira_dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ f37bf1c7f..2bb3a72fd master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ subdir3=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
++ subdir4=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ interesting_subdir glibc f957f47df75b9fab995754011491edebc6feb147 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147 ']'
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
++ mkdir -p interesting-commits/glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
++ git -C interesting-commits add glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/'
+[detached HEAD 33207d26e] Add entry f957f47df75b9fab995754011491edebc6feb147 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/783/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/first_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f957f47df75b9fab995754011491edebc6feb147/tcwg_glibc_build/master-aarch64/last_good
++ wait 68922
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
Init stage ran successfully.
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index d63cfab..aed8a5e 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -d: -f 1
+ host=tcwg-jade-05
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 4
-+ opts=-p52679
++ opts=-p52774
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p52679:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p52774:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p52679 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p52774 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index a450674..35765f7 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#782"
+build_name="#783"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-05
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#782-glibc"
+build_name="#783-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#782-glibc-R1"
+build_name="#783-glibc-R1"